@chetakogo

Не могу понять как нужно исправить зависимости, чтобы appveyor не ругался?

[00:00:00] Build started
[00:00:02] git clone -q --branch=main https://github.com/chetakogo/environment.git /home/appveyor/projects/environment-29sj2
[00:00:02] git checkout -qf 9f583b939080583ed1de3748ca5aa270cc1d9be4
[00:00:03] Configuring 'stack'
[00:00:03] Enabling Node 16
[00:00:04] Downloading and installing node v16.15.1...
[00:00:04] Downloading https://nodejs.org/dist/v16.15.1/node-v16.15.1-lin......
[00:00:05] #=#=#

[00:00:05] # 1.8%
[00:00:05] ############### 21.0%
[00:00:05] ################################################# 68.6%
[00:00:05] ######################################################################## 100.0%
[00:00:05] Computing checksum with sha256sum
[00:00:05] Checksums matched!
[00:00:10] Now using node v16.15.1 (npm v8.11.0)
[00:00:11] Running "install" scripts
[00:00:11] npm install
[00:00:14] npm ERR! code ERESOLVE
[00:00:14] npm ERR! ERESOLVE could not resolve
[00:00:14] npm ERR!
[00:00:14] npm ERR! While resolving: optimize-css-assets-webpack-plugin@5.0.8
[00:00:14] npm ERR! Found: webpack@5.73.0
[00:00:14] npm ERR! node_modules/webpack
[00:00:14] npm ERR! dev webpack@"^5.1.0" from the root project
[00:00:14] npm ERR! peer webpack@"4.x.x || 5.x.x" from @webpack-cli/configtest@1.2.0
[00:00:14] npm ERR! node_modules/@webpack-cli/configtest
[00:00:14] npm ERR! @webpack-cli/configtest@"^1.2.0" from webpack-cli@4.10.0
[00:00:14] npm ERR! node_modules/webpack-cli
[00:00:14] npm ERR! dev webpack-cli@"^4.3.1" from the root project
[00:00:14] npm ERR! 3 more (@webpack-cli/configtest, @webpack-cli/info, @webpack-cli/serve)
[00:00:14] npm ERR! 9 more (babel-loader, css-loader, html-loader, ...)
[00:00:14] npm ERR!
[00:00:14] npm ERR! Could not resolve dependency:
[00:00:14] npm ERR! peer webpack@"^4.0.0" from optimize-css-assets-webpack-plugin@5.0.8
[00:00:14] npm ERR! node_modules/optimize-css-assets-webpack-plugin
[00:00:14] npm ERR! dev optimize-css-assets-webpack-plugin@"^5.0.4" from the root project
[00:00:14] npm ERR!
[00:00:14] npm ERR! Conflicting peer dependency: webpack@4.46.0
[00:00:14] npm ERR! node_modules/webpack
[00:00:14] npm ERR! peer webpack@"^4.0.0" from optimize-css-assets-webpack-plugin@5.0.8
[00:00:14] npm ERR! node_modules/optimize-css-assets-webpack-plugin
[00:00:14] npm ERR! dev optimize-css-assets-webpack-plugin@"^5.0.4" from the root project
[00:00:14] npm ERR!
[00:00:14] npm ERR! Fix the upstream dependency conflict, or retry
[00:00:14] npm ERR! this command with --force, or --legacy-peer-deps
[00:00:14] npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
[00:00:14] npm ERR!
[00:00:14] npm ERR! See /home/appveyor/.npm/eresolve-report.txt for a full report.
[00:00:14]
[00:00:14] npm ERR! A complete log of this run can be found in:
[00:00:14] npm ERR! /home/appveyor/.npm/_logs/2022-06-16T14_56_38_890Z-debug-0.log
[00:00:14] Command exited with code 1
[00:00:14] Build failed
  • Вопрос задан
  • 75 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы